import { ReactNode } from 'react';
import { NumberProp } from '../lib/extract/types';
import Shape from './Shape';
export declare enum MarkerUnits {
    STROKE_WIDTH = "strokeWidth",
    USER_SPACE_ON_USE = "userSpaceOnUse"
}
export declare enum Orient {
    AUTO = "auto",
    AUTO_START_REVERSE = "auto-start-reverse"
}
export interface MarkerProps {
    children?: ReactNode;
    id?: string;
    viewBox?: string;
    preserveAspectRatio?: string;
    refX?: NumberProp;
    refY?: NumberProp;
    markerWidth?: NumberProp;
    markerHeight?: NumberProp;
    markerUnits?: MarkerUnits;
    orient?: Orient | NumberProp;
}
export default class Marker extends Shape<MarkerProps> {
    static displayName: string;
    static defaultProps: {
        refX: number;
        refY: number;
        orient: string;
        markerWidth: number;
        markerHeight: number;
        markerUnits: string;
    };
    render(): JSX.Element;
}
