import { ReactNode } from 'react';
import { ColumnMajorTransformMatrix, CommonPathProps, NumberProp } from '../lib/extract/types';
import Shape from './Shape';
export declare enum EMaskUnits {
    USER_SPACE_ON_USE = "userSpaceOnUse",
    OBJECT_BOUNDING_BOX = "objectBoundingBox"
}
export declare type TMaskUnits = EMaskUnits.USER_SPACE_ON_USE | EMaskUnits.OBJECT_BOUNDING_BOX;
export interface MaskProps extends CommonPathProps {
    children?: ReactNode;
    id?: string;
    x?: NumberProp;
    y?: NumberProp;
    width?: NumberProp;
    height?: NumberProp;
    maskTransform?: ColumnMajorTransformMatrix | string;
    maskUnits?: TMaskUnits;
    maskContentUnits?: TMaskUnits;
}
export default class Mask extends Shape<MaskProps> {
    static displayName: string;
    static defaultProps: {
        x: string;
        y: string;
        width: string;
        height: string;
    };
    render(): JSX.Element;
}
